Bug 637434 - Kmail trouble starting under Gnome
Kmail trouble starting under Gnome
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Desktop, OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-25 15:48 EDT by Henry Kroll
Modified: 2015-02-17 08:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:24:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henry Kroll 2010-09-25 15:48:22 EDT
Description of problem:
Kmail takes two attempts to start under Gnome desktop.

Version-Release number of selected component (if applicable):
1.13.5

How reproducible:
Log in to Gnome desktop
Start Kmail

Steps to Reproduce:
1.Log in to Gnome desktop
2.Start Kmail
3.goats
  
Actual results:
Kmail hangs with progress bar "Starting Akonadi Server..."
Akonadi Server self-test box pops up with Nepomuk search service not found.

Expected results:
You've got mail!

Additional info:
Kmail WILL start on the second attempt. What's happening is it takes too long for Nepomuk search service to start and Kmail doesn't see it. A possible solution would be to make Kmail wait longer. A better solution might be to poll D-Bus agian after a few seconds to see if Nepomuk has started? Obviously, I don't know the right way to do this, but maybe somebody who does will sort of get the gist of what I'm talking about...
Comment 1 Adam Williamson 2010-09-27 21:23:00 EDT
I'm not sure running KMail within GNOME is common enough an operation to warrant documenting on CommonBugs...



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Jaroslav Reznik 2010-09-29 08:49:02 EDT
Unfortunately this is quite a common bug in KMail even running from Plasma Desktop caused by several Akonadi failures, see for example https://bugs.kde.org/show_bug.cgi?id=238959 or https://bugs.kde.org/show_bug.cgi?id=218278.
Comment 3 Fedora End Of Life 2013-04-03 15:07:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 11:22:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:24:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.